function removeBodyGhostNodes() {
	var nodesToRemove = [];
	for (var i = 0; i < document.body.childNodes.length; ++i) {
		if (document.body.childNodes[i].nodeName == "#text") {
			nodesToRemove.push(document.body.childNodes[i]);
		}
	}
	for (var i = 0; i < nodesToRemove.length; ++i) {
		document.body.removeChild(nodesToRemove[i]);
	}
}

removeBodyGhostNodes();